<script>
import SaveBtn from "@components/utils/save-btn";

export default {
  name: "CompanySliderInfos",
  components: { SaveBtn },
  props : {
    user : null
  },
  methods : {
    async submit() {
      const message = await this.$store.dispatch('user/update', {id : this.user.user.id, user : this.user})
      this.$bvModal.hide('bv-edit-slider-infos')
      this.$bvToast.toast(message, {title: 'Succès'})
    }
  }
}
</script>

<template>
  <form @submit.prevent="submit">
    <div class="row">
      <div class="col-md-4">
        <div class="form-group">
          <label for="medium_age">Âge moyen (ans)</label>
          <input id="medium_age" v-model="user.medium_age" type="number" class="form-control" min="18" max="99">
        </div>
      </div>
      <div class="col-md-4">
        <div class="form-group">
          <label for="nb_ca">Chiffres d'affaires (en €)</label>
          <input id="nb_ca" v-model="user.nb_ca" type="number" class="form-control" step="1000" min="0">
        </div>
      </div>
      <div class="col-md-4">
        <div class="form-group">
          <label for="nb_collab">Nombre de collaborateurs</label>
          <input id="nb_collab" v-model="user.nb_collab" type="number" class="form-control" min="0">
        </div>
      </div>
    </div>
    <SaveBtn></SaveBtn>
  </form>
</template>
